ata_unpack_xfermask
Prev | Chapter 4. libata Library | Next

## Name

ata_unpack_xfermask — Unpack xfer_mask into pio, mwdma and udma masks

## Synopsis

`void ata_unpack_xfermask (` | unsigned long | xfer_mask,
| unsigned long * | pio_mask,
| unsigned long * | mwdma_mask,
| unsigned long * | udma_mask`)`;

## Arguments

`xfer_mask`

  xfer_mask to unpack

`pio_mask`

  resulting pio_mask

`mwdma_mask`

  resulting mwdma_mask

`udma_mask`

  resulting udma_mask

## Description

Unpack `xfer_mask` into `pio_mask`, `mwdma_mask` and `udma_mask`. Any NULL distination masks will be ignored.

Prev | Up | Next
ata_pack_xfermask | Home | ata_xfer_mask2mode